> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modelslab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Queued Video

> Fetch Queued Request API fetches queued request.

<Note>
  This endpoint does not generate new video, it returns already generated/queued videos.
</Note>

## Request

Send a `POST` request to below endpoint to return the corresponding queued videos.

```curl curl theme={null}
--request POST 'https://modelslab.com/api/v1/enterprise/faceswap/fetch/{id}' \
```

## Body

```json json theme={null}
{ 
    "key": "enterprise_api_key"
}
```


## OpenAPI

````yaml POST /faceswap/fetch
openapi: 3.0.0
info:
  title: ModelsLab Enterprise Server API
  version: 1.0.0
  description: API for managing ModelsLab enterprise server operations.
servers:
  - url: https://modelslab.com/api/v1/enterprise
security: []
paths:
  /faceswap/fetch:
    post:
      summary: Fetch Queued Request
      description: Fetches a queued request result.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                key:
                  type: string
                  description: Your API key
                id:
                  type: string
                  description: ID of the queued request
              required:
                - key
                - id
      responses:
        '200':
          description: Queued request result fetched successfully
        '401':
          description: Unauthorized - Invalid or missing API key
        '404':
          description: Request not found

````